import { FilterProps } from './Filter.types';
/**
 * @param values - Array of values to display as chips ({ value: string, label: string, icon?: IconData }[])
 * @param search - The current search value
 * @param onSearchChange - Callback when search changes
 * @param onSearchEnter - Callback when users hit {Enter} in the search field
 * @param onClearFilter - Function to call when the user clicks the delete button on a chip
 * @param onClearAllFilters - Function to call when the user clicks the clear filters button
 * @param children - ReactNode or ReactNode[] to display below when the filter is open
 * @param initialOpen - Whether the filter should be open by default, defaults to false
 * @param placeholder - Placeholder text for the search input, defaults to 'Search...'
 * @param id - ID for the search field
 * @param showClearFiltersButton - Whether to show the clear filters button, defaults to true
 * - Sorting props
 * @param sortValue - The current sort value
 * @param onSortChange - Callback when a sorting is selected in the menu
 * @param sortItems - Array of sort items ({ value: S, label: string }[])
 * - Quick filter props
 * @param onQuickFilter - Callback when a quick filter is selected in the menu
 * @param quickFilterItems - Array of quick filter items ({ value: Q, label: string }[])
 */
export declare function Filter<T, S, Q>({ values, search, onSearchChange, onSearchEnter, onClearFilter, onClearAllFilters, children, initialOpen, placeholder, id, showClearFiltersButton, ...rest }: FilterProps<T, S, Q>): import("react/jsx-runtime").JSX.Element;
